import Component from '@glimmer/component';
import '@cardstack/boxel/styles/global.css';
import './index.css';
interface WavePlayerArgs {
    url: string;
}
export default class WavePlayerComponent extends Component<WavePlayerArgs> {
    width: number;
    height: number;
    barWidth: number;
    barPadding: number;
    audio: HTMLAudioElement | undefined;
    canvas: HTMLCanvasElement | undefined;
    sampleRatio: number;
    unplayedColor: string;
    playedColor: string;
    barValues: number[];
    currentTime: number;
    isPlaying: boolean;
    duration: number;
    get style(): string;
    willDestroy(): void;
    setupPlayer(canvas: HTMLCanvasElement): Promise<void>;
    draw(): void;
    get fractionThroughTrack(): number;
    setupAudio(url: string): void;
    playPause(): Generator<Promise<void> | undefined, void>;
    canvasClick(event: MouseEvent): void;
}
export {};
